## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global pypi_name shtab

Name:           python-shtab
Version:        1.7.1
Release:        %autorelease
Summary:        Automagic shell tab completion for Python CLI applications

License:        Apache-2.0
URL:            https://github.com/iterative/shtab
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  pyproject-rpm-macros

BuildRequires:  python3dist(pytest)

%description
Automatically generate shell tab completion scripts for Python CLI apps.

%package -n     python3-shtab
Summary:        %{summary}

%description -n python3-shtab
Automatically generate shell tab completion scripts for Python CLI apps.

%prep
%autosetup -n shtab-%{version}
# remove coverage test config
sed -i -e 's/addopts =/#addopts =/' pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files shtab

%check
%pytest

%files -n python3-shtab -f %{pyproject_files}
%license LICENCE
%doc README.rst
%{_bindir}/shtab

%changelog
## START: Generated by rpmautospec
* Fri Mar 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.1-1
- Update to 1.7.1 - Closes rhbz#2268574

* Fri Mar 08 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.7.0-1
- Update to 1.7.0 - Closes rhbz#2215438

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.6.1-2
- Rebuilt for Python 3.12

* Thu May 18 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.6.1-1
- Update to 1.6.1 - Closes rhbz#2183852
- migrated to SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.8-1
- Update to 1.5.8 - Closes rhbz#2139517

* Sat Oct 29 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.6-1
- Update to 1.5.6 - Closes rhbz#2138543

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jun 17 2022 Python Maint <python-maint@redhat.com> - 1.5.5-2
- Rebuilt for Python 3.11

* Fri Jun 17 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.5-1
- Update to 1.5.5 - Closes rhbz#2098173

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.4-2
- Rebuilt for Python 3.11

* Tue Apr 19 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.4-1
- Update to 1.5.4 - Closes rhbz#2076603

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Jan 02 2022 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.3-1
- Update to 1.5.3. Closes rhbz#2036487

* Fri Dec 03 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.2-1
- Update to 1.5.2

* Thu Nov 18 2021 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.5.0-1
- Initial build (BZ#2023009)
## END: Generated by rpmautospec
